libruby 1.8.3 yaml bignum issues

Bug #22937 reported by Debian Bug Importer on 2005-10-01
4
Affects Status Importance Assigned to Milestone
ruby1.8 (Debian)
Fix Released
Unknown
ruby1.8 (Ubuntu)
Medium
Unassigned

Bug Description

Automatically imported from Debian bug report #331050 http://bugs.debian.org/331050

severity 331050 critical
thanks

it breaks unrelated software so lets go RC. :)

bye,
    - michael

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #331050 http://bugs.debian.org/331050

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sat, 1 Oct 2005 10:18:42 +0200
From: Michael Ablassmeier <email address hidden>
To: <email address hidden>
Subject: libruby 1.8.3 yaml bignum issues

Package: libruby1.8
Severity: important
Tags: sid, upstream

hi,

the latest yaml.rb in ruby 1.8.3 has problems dealing with Bignum
Values. Somewhen in september Time.tv_sec values turned Bignum instead
of Fixnum. This, for example, breaks raggle:

 abi@radiohead:~$ raggle
 Raggle: Loading config...
 Raggle: Loading feed list...
 /usr/lib/ruby/1.8/yaml.rb:133:in `transfer': allocator undefined for
 Bignum (TypeError)
        from /usr/lib/ruby/1.8/yaml.rb:133:in `load'
        from /usr/bin/raggle:4795:in `load_config'
        from /usr/bin/raggle:5441:in `main'
        from /usr/bin/raggle:6461

bye,
    - michael

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sat, 1 Oct 2005 10:19:47 +0200
From: Michael Ablassmeier <email address hidden>
To: <email address hidden>
Subject: ..

severity 331050 critical
thanks

it breaks unrelated software so lets go RC. :)

bye,
    - michael

Matt Zimmerman (mdz) wrote :

Submitter is confused about the definition of "unrelated", and this bug is said
to only affect 1.8.3, while Breezy has 1.8.2.

tags 331050 + patch
thanks

hi,

attached patch fixes this issue, i dont know if its a clean solution, it
seems to work:

 root@pbuilderchroot:/# ruby -ryaml -e 'puts YAML.load(YAML.dump(1234567890))'
 1234567890

bye,
    - michael

hi again,

please note that the patch does still not prevent raggle from crashing:

 root@pbuilderchroot:/# raggle
 Raggle: Loading config...
 Raggle: Loading feed list...
 /usr/lib/ruby/1.8/yaml.rb:133:in `transfer': allocator undefined for
 Bignum (TypeError)
        from /usr/lib/ruby/1.8/yaml.rb:133:in `load'
        from /usr/bin/raggle:4795:in `load_config'
        from /usr/bin/raggle:5441:in `main'
        from /usr/bin/raggle:6461

bye,
    - michael

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 4 Oct 2005 10:31:15 +0200
From: Michael Ablassmeier <email address hidden>
To: <email address hidden>
Cc: <email address hidden>
Subject: patch

--pWyiEgJYm5f9v55/
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

tags 331050 + patch
thanks

hi,

attached patch fixes this issue, i dont know if its a clean solution, it
seems to work:

 root@pbuilderchroot:/# ruby -ryaml -e 'puts YAML.load(YAML.dump(1234567890))'
 1234567890

bye,
    - michael

--pWyiEgJYm5f9v55/
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment; filename="bignum.diff"

--- ruby1.8-1.8.3/ruby-1.8.3/lib/yaml/rubytypes.rb 2005-09-20 06:46:45.000000000 +0000
+++ /usr/lib/ruby/1.8/yaml/rubytypes.rb 2005-10-04 08:28:37.000000000 +0000
@@ -372,6 +372,10 @@
     yaml_as "tag:yaml.org,2002:int"
 end

+class Bignum
+ yaml_as "tag:yaml.org,2002:int#yes"
+end
+
 class Float
     yaml_as "tag:yaml.org,2002:float"
 end

--pWyiEgJYm5f9v55/--

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 4 Oct 2005 10:49:24 +0200
From: Michael Ablassmeier <email address hidden>
To: <email address hidden>
Subject: ..

hi again,

please note that the patch does still not prevent raggle from crashing:

 root@pbuilderchroot:/# raggle
 Raggle: Loading config...
 Raggle: Loading feed list...
 /usr/lib/ruby/1.8/yaml.rb:133:in `transfer': allocator undefined for
 Bignum (TypeError)
        from /usr/lib/ruby/1.8/yaml.rb:133:in `load'
        from /usr/bin/raggle:4795:in `load_config'
        from /usr/bin/raggle:5441:in `main'
        from /usr/bin/raggle:6461

bye,
    - michael

Michael Ablassmeier wrote:
> please note that the patch does still not prevent raggle from crashing:
>
> root@pbuilderchroot:/# raggle
> Raggle: Loading config...
> Raggle: Loading feed list...
> /usr/lib/ruby/1.8/yaml.rb:133:in `transfer': allocator undefined for
> Bignum (TypeError)
> from /usr/lib/ruby/1.8/yaml.rb:133:in `load'
> from /usr/bin/raggle:4795:in `load_config'
> from /usr/bin/raggle:5441:in `main'
> from /usr/bin/raggle:6461

I posted a workaround to ruby-core list:
<URL:http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-core/6159>

--
akira yamada

hi akira,

On Tue, Oct 11, 2005 at 04:30:46PM +0900, akira yamada wrote:
> Michael Ablassmeier wrote:
> > please note that the patch does still not prevent raggle from crashing:
> >
> > root@pbuilderchroot:/# raggle
> > Raggle: Loading config...
> > Raggle: Loading feed list...
> > /usr/lib/ruby/1.8/yaml.rb:133:in `transfer': allocator undefined for
> > Bignum (TypeError)
> > from /usr/lib/ruby/1.8/yaml.rb:133:in `load'
> > from /usr/bin/raggle:4795:in `load_config'
> > from /usr/bin/raggle:5441:in `main'
> > from /usr/bin/raggle:6461
>
> I posted a workaround to ruby-core list:
> <URL:http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-core/6159>

i rebuild unstable's ruby packages with your patch and it works quite
well.

bye,
    - michael

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 11 Oct 2005 16:30:46 +0900
From: akira yamada <email address hidden>
To: <email address hidden>, <email address hidden>
Subject: Re: Bug#331050: ..

Michael Ablassmeier wrote:
> please note that the patch does still not prevent raggle from crashing:
>
> root@pbuilderchroot:/# raggle
> Raggle: Loading config...
> Raggle: Loading feed list...
> /usr/lib/ruby/1.8/yaml.rb:133:in `transfer': allocator undefined for
> Bignum (TypeError)
> from /usr/lib/ruby/1.8/yaml.rb:133:in `load'
> from /usr/bin/raggle:4795:in `load_config'
> from /usr/bin/raggle:5441:in `main'
> from /usr/bin/raggle:6461

I posted a workaround to ruby-core list:
<URL:http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-core/6159>

--
akira yamada

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 11 Oct 2005 09:53:56 +0200
From: Michael Ablassmeier <email address hidden>
To: akira yamada <email address hidden>, <email address hidden>
Subject: Re: Bug#331050: ..

hi akira,

On Tue, Oct 11, 2005 at 04:30:46PM +0900, akira yamada wrote:
> Michael Ablassmeier wrote:
> > please note that the patch does still not prevent raggle from crashing:
> >
> > root@pbuilderchroot:/# raggle
> > Raggle: Loading config...
> > Raggle: Loading feed list...
> > /usr/lib/ruby/1.8/yaml.rb:133:in `transfer': allocator undefined for
> > Bignum (TypeError)
> > from /usr/lib/ruby/1.8/yaml.rb:133:in `load'
> > from /usr/bin/raggle:4795:in `load_config'
> > from /usr/bin/raggle:5441:in `main'
> > from /usr/bin/raggle:6461
>
> I posted a workaround to ruby-core list:
> <URL:http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-core/6159>

i rebuild unstable's ruby packages with your patch and it works quite
well.

bye,
    - michael

Download full text (7.6 KiB)

Source: ruby1.8
Source-Version: 1.8.3-2

We believe that the bug you reported is fixed in the latest version of
ruby1.8, which is due to be installed in the Debian FTP archive:

irb1.8_1.8.3-2_all.deb
  to pool/main/r/ruby1.8/irb1.8_1.8.3-2_all.deb
libdbm-ruby1.8_1.8.3-2_i386.deb
  to pool/main/r/ruby1.8/libdbm-ruby1.8_1.8.3-2_i386.deb
libgdbm-ruby1.8_1.8.3-2_i386.deb
  to pool/main/r/ruby1.8/libgdbm-ruby1.8_1.8.3-2_i386.deb
libopenssl-ruby1.8_1.8.3-2_i386.deb
  to pool/main/r/ruby1.8/libopenssl-ruby1.8_1.8.3-2_i386.deb
libreadline-ruby1.8_1.8.3-2_i386.deb
  to pool/main/r/ruby1.8/libreadline-ruby1.8_1.8.3-2_i386.deb
libruby1.8-dbg_1.8.3-2_i386.deb
  to pool/main/r/ruby1.8/libruby1.8-dbg_1.8.3-2_i386.deb
libruby1.8_1.8.3-2_i386.deb
  to pool/main/r/ruby1.8/libruby1.8_1.8.3-2_i386.deb
libtcltk-ruby1.8_1.8.3-2_i386.deb
  to pool/main/r/ruby1.8/libtcltk-ruby1.8_1.8.3-2_i386.deb
rdoc1.8_1.8.3-2_all.deb
  to pool/main/r/ruby1.8/rdoc1.8_1.8.3-2_all.deb
ri1.8_1.8.3-2_all.deb
  to pool/main/r/ruby1.8/ri1.8_1.8.3-2_all.deb
ruby1.8-dev_1.8.3-2_i386.deb
  to pool/main/r/ruby1.8/ruby1.8-dev_1.8.3-2_i386.deb
ruby1.8-elisp_1.8.3-2_all.deb
  to pool/main/r/ruby1.8/ruby1.8-elisp_1.8.3-2_all.deb
ruby1.8-examples_1.8.3-2_all.deb
  to pool/main/r/ruby1.8/ruby1.8-examples_1.8.3-2_all.deb
ruby1.8_1.8.3-2.diff.gz
  to pool/main/r/ruby1.8/ruby1.8_1.8.3-2.diff.gz
ruby1.8_1.8.3-2.dsc
  to pool/main/r/ruby1.8/ruby1.8_1.8.3-2.dsc
ruby1.8_1.8.3-2_i386.deb
  to pool/main/r/ruby1.8/ruby1.8_1.8.3-2_i386.deb

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
akira yamada <email address hidden> (supplier of updated ruby1.8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 19 Oct 2005 18:50:09 +0900
Source: ruby1.8
Binary: libtcltk-ruby1.8 libruby1.8-dbg rdoc1.8 libgdbm-ruby1.8 ruby1.8-dev ruby1.8-elisp ruby1.8-examples libdbm-ruby1.8 irb1.8 ruby1.8 libreadline-ruby1.8 libopenssl-ruby1.8 libruby1.8 ri1.8
Architecture: source i386 all
Version: 1.8.3-2
Distribution: unstable
Urgency: high
Maintainer: akira yamada <email address hidden>
Changed-By: akira yamada <email address hidden>
Description:
 irb1.8 - Interactive Ruby (for Ruby 1.8)
 libdbm-ruby1.8 - DBM interface for Ruby 1.8
 libgdbm-ruby1.8 - GDBM interface for Ruby 1.8
 libopenssl-ruby1.8 - OpenSSL interface for Ruby 1.8
 libreadline-ruby1.8 - Readline interface for Ruby 1.8
 libruby1.8 - Libraries necessary to run Ruby 1.8
 libruby1.8-dbg - Debugging libraries for Ruby 1.8
 libtcltk-ruby1.8 - Tcl/Tk interface for Ruby 1.8
 rdoc1.8 - Generate documentation from Ruby source files (for Ruby 1.8)
 ri1.8 - Ruby Interactive reference (for Ruby 1.8)
 ruby1.8 - Interpreter of object-oriented scripting language Ruby 1.8
 ruby1.8-dev - Header ...

Read more...

Debian Bug Importer (debzilla) wrote :
Download full text (7.8 KiB)

Message-Id: <email address hidden>
Date: Wed, 19 Oct 2005 03:47:08 -0700
From: akira yamada <email address hidden>
To: <email address hidden>
Subject: Bug#331050: fixed in ruby1.8 1.8.3-2

Source: ruby1.8
Source-Version: 1.8.3-2

We believe that the bug you reported is fixed in the latest version of
ruby1.8, which is due to be installed in the Debian FTP archive:

irb1.8_1.8.3-2_all.deb
  to pool/main/r/ruby1.8/irb1.8_1.8.3-2_all.deb
libdbm-ruby1.8_1.8.3-2_i386.deb
  to pool/main/r/ruby1.8/libdbm-ruby1.8_1.8.3-2_i386.deb
libgdbm-ruby1.8_1.8.3-2_i386.deb
  to pool/main/r/ruby1.8/libgdbm-ruby1.8_1.8.3-2_i386.deb
libopenssl-ruby1.8_1.8.3-2_i386.deb
  to pool/main/r/ruby1.8/libopenssl-ruby1.8_1.8.3-2_i386.deb
libreadline-ruby1.8_1.8.3-2_i386.deb
  to pool/main/r/ruby1.8/libreadline-ruby1.8_1.8.3-2_i386.deb
libruby1.8-dbg_1.8.3-2_i386.deb
  to pool/main/r/ruby1.8/libruby1.8-dbg_1.8.3-2_i386.deb
libruby1.8_1.8.3-2_i386.deb
  to pool/main/r/ruby1.8/libruby1.8_1.8.3-2_i386.deb
libtcltk-ruby1.8_1.8.3-2_i386.deb
  to pool/main/r/ruby1.8/libtcltk-ruby1.8_1.8.3-2_i386.deb
rdoc1.8_1.8.3-2_all.deb
  to pool/main/r/ruby1.8/rdoc1.8_1.8.3-2_all.deb
ri1.8_1.8.3-2_all.deb
  to pool/main/r/ruby1.8/ri1.8_1.8.3-2_all.deb
ruby1.8-dev_1.8.3-2_i386.deb
  to pool/main/r/ruby1.8/ruby1.8-dev_1.8.3-2_i386.deb
ruby1.8-elisp_1.8.3-2_all.deb
  to pool/main/r/ruby1.8/ruby1.8-elisp_1.8.3-2_all.deb
ruby1.8-examples_1.8.3-2_all.deb
  to pool/main/r/ruby1.8/ruby1.8-examples_1.8.3-2_all.deb
ruby1.8_1.8.3-2.diff.gz
  to pool/main/r/ruby1.8/ruby1.8_1.8.3-2.diff.gz
ruby1.8_1.8.3-2.dsc
  to pool/main/r/ruby1.8/ruby1.8_1.8.3-2.dsc
ruby1.8_1.8.3-2_i386.deb
  to pool/main/r/ruby1.8/ruby1.8_1.8.3-2_i386.deb

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
akira yamada <email address hidden> (supplier of updated ruby1.8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 19 Oct 2005 18:50:09 +0900
Source: ruby1.8
Binary: libtcltk-ruby1.8 libruby1.8-dbg rdoc1.8 libgdbm-ruby1.8 ruby1.8-dev ruby1.8-elisp ruby1.8-examples libdbm-ruby1.8 irb1.8 ruby1.8 libreadline-ruby1.8 libopenssl-ruby1.8 libruby1.8 ri1.8
Architecture: source i386 all
Version: 1.8.3-2
Distribution: unstable
Urgency: high
Maintainer: akira yamada <email address hidden>
Changed-By: akira yamada <email address hidden>
Description:
 irb1.8 - Interactive Ruby (for Ruby 1.8)
 libdbm-ruby1.8 - DBM interface for Ruby 1.8
 libgdbm-ruby1.8 - GDBM interface for Ruby 1.8
 libopenssl-ruby1.8 - OpenSSL interface for Ruby 1.8
 libreadline-ruby1.8 - Readline interface for Ruby 1.8
 libruby1.8 - Libraries necessary to run Ruby 1.8
 libruby1.8-dbg - Debugging libraries for Ruby 1.8
 libtcltk-ruby1.8 - Tcl/Tk interface for Ruby 1.8
 rdoc1.8 - Generat...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.